Loading...
Searching...
No Matches
ISAM2-impl.cpp File Reference

Incremental update functionality (ISAM2) for BayesTree, with fluid relinearization. More...

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Functions

void | gtsam::internal::updateRgProd (const ISAM2::sharedClique &clique, const KeySet &replacedKeys, const VectorValues &grad, VectorValues *RgProd, size_t *varsUpdated)

## Detailed Description

Incremental update functionality (ISAM2) for BayesTree, with fluid relinearization.

Author
  Michael Kaess
  Richard Roberts